Retrieve support channel
Retrieves the details of an existing support channel.
Required permissions:
support_chat:read
Authorizations
An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.
Path Parameters
The unique identifier of the support channel to retrieve.
Response
A successful response
A messaging channel that can be a one-on-one DM, group chat, company support conversation, or platform-level direct message.
The unique identifier of the account associated with this channel. Null if this is not a support or account-scoped conversation.
The unique identifier of the account associated with this channel. Null if this is not a support or account-scoped conversation.
A custom display name assigned to this channel by the user. Null if no custom name has been set.
"Project Alpha Team"
The customer who initiated this support conversation. Null if this is not a support chat.
The unique identifier for the entity
The most recent message in this channel. Null if no messages have been sent, or when listing support channels without include_last_message.
The timestamp when the most recent message was sent in this channel. Null if no messages have been sent.
"2023-12-01T05:00:00.401Z"
Whether the customer sent the latest message and the linked support ticket is unresolved. Null if not a support chat.
Whether the authenticated user has joined this channel as a participant. Null when the caller is not a user, or when listing support channels without include_participated.
The timestamp when the linked support ticket was marked as resolved. Null if unresolved or not a support chat.
"2023-12-01T05:00:00.401Z"
Whether this channel has a message from someone else that the authenticated user has not viewed yet. Null when the caller is not a user, or when listing support channels without include_last_message.

